<?php

namespace Modules\WechatPlatform\Http\Controllers;

use Catch\Base\CatchController;
use Illuminate\Http\Request;
use Modules\User\Http\Controllers\UserTrait;
use Modules\WechatPlatform\Models\WechatAuthorizationInfo;

class WechatAuthorizationInfoController extends CatchController
{

    public function __construct(protected readonly WechatAuthorizationInfo $wechatAuthorizationInfo)
    {
        
    }

    use UserTrait;

    public function index(Request $request)
    {
        
        if($this->isOptimizer()){
            $where = [
                ['wechat_authorization_infos.user_id','=',$this->getLoginUserId()],
                ['wechat_authorization_infos.is_enabled','=',1]
            ];
        }elseif($this->isCompanyManager()){
            $where = [
                ['wechat_authorization_infos.puser_id','=',$this->getLoginUserId()],
                ['wechat_authorization_infos.is_enabled','=',1]
            ];
        }else{
            return [];
        }
        
        $result = $this->wechatAuthorizationInfo->where($where)
        ->join('wechat_open_platform_infos','wechat_open_platform_infos.app_id','=','wechat_authorization_infos.component_appid')
        ->join('miniprogram','wechat_open_platform_infos.xcx_appid','=','miniprogram.appid')
        ->select('wechat_authorization_infos.nick_name','wechat_authorization_infos.authorizer_appid','miniprogram.name as xcx_name')
        ->paginate($request->input('limit', 20));


        foreach($result as $item){
            //获取粉丝数
            $item->fans_count = 100;
        }

        return $result;
    }
}
