<?php

use Illuminate\Support\Facades\Route;

use Modules\WechatPlatform\Http\Controllers\KFMessageController;
use Modules\WechatPlatform\Http\Controllers\WechatAuthorizationInfoController;
use Modules\WechatPlatform\Http\Controllers\CommonController;
use Modules\WechatPlatform\Http\Controllers\WechatKeywordsController;

Route::prefix('wechatPlatform')->group(function(){
    Route::prefix('kfMessage')->middleware('roleCheck:optimizer')->group(function(){
        Route::get('list', [KFMessageController::class, 'list']);
        Route::post('add', [KFMessageController::class, 'add']);
        Route::post('stop', [KFMessageController::class, 'stop']);
        Route::post('delete', [KFMessageController::class, 'delete']);
        Route::post('updateContent', [KFMessageController::class, 'updateContent']);
        Route::post('updateGZH', [KFMessageController::class, 'updateGZH']);
    });


    // 微信公众号设置
    Route::prefix('officialAccount')->group(function () {
        //公众号列表
        Route::get("list",[WechatAuthorizationInfoController::class,'index']);

        // 关键字列表
        Route::prefix('keyword')->group(function () {
            // 列表
            Route::any("list",[WechatKeywordsController::class,'list']);
            // 添加
            Route::post('add',[WechatKeywordsController::class,'add']);
            // 编辑
            Route::post('edit/{id}',[WechatKeywordsController::class,'edit']);
            // 详情
            Route::any('detail/{id}',[WechatKeywordsController::class,'detail']);
            // 删除
            Route::any('del',[WechatKeywordsController::class,'del']);
            // 配置公众号
            Route::post('allocation/{id}',[WechatKeywordsController::class,'allocation']);

            // 关键字公账号配置选择项
            Route::any("auth_list/{id}",[WechatKeywordsController::class,'authList']);
        });
    });    
    // 公共部分
    Route::prefix('common')->group(function (){
        // 获取小程序页面链接
        Route::post('get_page',[CommonController::class,'getPageUrl'])->withoutMiddleware(config('catch.route.middlewares'));
    });

    // 设置
    Route::prefix('setting')->group(function (){

    });

});
